Skip to main content
GET
List social account post analytics

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startDate
string<date>
required

First UTC day of the publish range, inclusive.

endDate
string<date>
required

Last UTC day of the publish range, inclusive. The range can span at most 366 days.

sortBy
enum<string>

Metric to order the posts by, highest first. Posts without it come last. Name of a PostMetrics field.

Available options:
views,
impressions,
uniqueImpressions,
likes,
reactions,
comments,
shares,
saves,
clicks,
engagementRate
projectId
string[]

Only return items in these projects. Use project ids from List projects.

socialAccountId
string[]

Only return items for these social accounts. Use social account ids from List social accounts.

platform
enum<string>[]

Only return items on these social platforms.

Identifies which social media platform this data structure targets.

Available options:
PINTEREST,
LINKEDIN,
LINKEDIN_PAGES,
INSTAGRAM,
FACEBOOK,
THREADS,
TIKTOK,
X,
YOUTUBE,
BLUESKY,
WOOPTEST
limit
integer<int32>
default:50

Number of items to return.

Required range: 1 <= x <= 100
cursor
string

Opaque cursor for the next page of results.

Response

Social account post analytics.

socialAccountPosts
object[]
required
nextCursor
string

Opaque cursor for the next page of results. Omitted when there are no more results.